# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/bison /usr/bin/git /usr/bin/gperf /usr/bin/man /usr/bin/ps2pdf binutils-devel bzlib-devel gcc-c++ libreadline-devel
# END SourceDeps(oneline)
# TODO for 1.0 release - redefine
#Version:     0.9.%{snapshot}
#Release:     6%{?dist}
# to
#Version:     1.0
#Release:     1.snap%{snapshot}%{?dist}

#
# Test suite for iverilog is detailed on
# https://fedorahosted.org/fedora-electronic-lab/wiki/Testing/iverilog
# Please execute the testsuite as explained before pushing a new release to stable repos
#

%define      snapshot 20120609

Name:        iverilog
Version:     0.9.%{snapshot}
Release:     alt1_2
Summary:     Icarus Verilog is a verilog compiler and simulator

Group:       Engineering
License:     GPLv2
URL:         http://iverilog.icarus.com

# Development Snapshot Download :
# git clone git://icarus.com/~steve-icarus/verilog
# cd verilog
# git checkout --track -b v0_9-branch origin/v0_9-branch
# cd ..
# tar cjf ~/rpmbuild/SOURCES/verilog-0.9.6.tar.bz2 verilog

# This is the latest stable snapshot
Source0:       ftp://ftp.icarus.com/pub/eda/verilog/v0.9/verilog-0.9.6.tar.gz


BuildRequires: zlib-devel bzip2-devel bison flex gperf
BuildRequires: autoconf

Provides:      iverilog-devel = %{version}-%{release}
Obsoletes:     iverilog-devel < 0.9.20100911-1
Source44: import.info

%description
Icarus Verilog is a Verilog compiler that generates a variety of
engineering formats, including simulation. It strives to be true
to the IEEE-1364 standard.

%prep
%setup -q -n verilog-0.9.6

#sh autoconf.sh

# clean junks from tarball
find . -type f -name ".git" -exec rm '{}' \;
rm -rf `find . -type d -name "autom4te.cache" -exec echo '{}' \;`


%build

CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
%configure

make %{?_smp_mflags}

%install

%{__make}    prefix=%{buildroot}%{_prefix} \
             bindir=%{buildroot}%{_bindir} \
             libdir=%{buildroot}%{_libdir} \
             libdir64=%{buildroot}%{_libdir} \
             includedir=%{buildroot}%{_includedir} \
             mandir=%{buildroot}%{_mandir}  \
             vpidir=%{buildroot}%{_libdir}/ivl/ \
             INSTALL="install -p" \
install

%check
make check

%files
# contents of QUICK_START.txt can be found also on README.txt, hence omitted
%doc attributes.txt BUGS.txt COPYING extensions.txt glossary.txt ieee1364-notes.txt
%doc README.txt swift.txt netlist.txt t-dll.txt vpi.txt tgt-fpga/fpga.txt
%doc va_math.txt cadpli/cadpli.txt xilinx-hint.txt examples/
%{_bindir}/*
%{_libdir}/ivl
%{_mandir}/man1/*
# headers for PLI: This is intended to be used by the user.
%{_includedir}/*.h
# RHBZ 480531
%{_libdir}/*.a


%changelog
* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.20120609-alt1_2
- update to new release by fcimport

* Fri Dec 21 2012 Igor Vlasenko <viy@altlinux.ru> 0.9.20120609-alt1_1
- update to new release by fcimport

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 0.9.20111101-alt1_4
- update to new release by fcimport

* Wed Jun 06 2012 Igor Vlasenko <viy@altlinux.ru> 0.9.20111101-alt1_3
- fc import

